

pipeline {
    agent any
         stages {
        stage('Clone sources') {
            steps {
                
             
                git credentialsId: 'GitLabAccessToken', 
				    url: 'https://gitlab.com/nagirimadugu.kiran/sampleproject.git', 
				    branch: 'main' 
           
			}
        }
        
        stage('SonarQube analysis') {
		
       steps {
           script {
              def scannerHome = tool 'SonarScanner';
           withSonarQubeEnv(installationName:'SonarQube', envOnly: true) {
           sh "${tool("SonarScanner")}/bin/sonar-scanner \
           -Dsonar.projectKey=ExpenseManager \
           -Dsonar.sources=. \
           -Dsonar.css.node=. \
           -Dsonar.host.url=http://10.43.200.75:9000 \
           -Dsonar.login=61cefdd3083dc3ca77941d4a0333712718243a71"
               }
   
       }
	    }
	     
  }
        

		} 
}
